<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Javascript API &mdash; Xuc 2.0.7 documentation</title>
    
    <link rel="stylesheet" href="../_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '2.0.7',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="top" title="Xuc 2.0.7 documentation" href="../index.html" />
    <link rel="next" title="Rest API" href="rest.html" />
    <link rel="prev" title="Developer" href="../developers/developers.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="rest.html" title="Rest API"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="../developers/developers.html" title="Developer"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">Xuc 2.0.7 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="javascript-api">
<h1>Javascript API<a class="headerlink" href="#javascript-api" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>The Xuc javascript API enables you to integrate enterprise communication functions to your business application.
It exposes Cti functions using javascript methods calls.</p>
<p>You may add your own handlers for your application to react to telephony / contact center events.</p>
<p>This API is using <a class="reference external" href="http://en.wikipedia.org/wiki/WebSocket">websockets</a>, and therefore needs a modern browser supporting them (<a class="reference external" href="https://www.mozilla.org/en-US/firefox/desktop/">firefox</a>, chrome ...)</p>
</div>
<div class="section" id="integration-principles">
<h2>Integration Principles<a class="headerlink" href="#integration-principles" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li>Include the Cti javascript API from the Xuc Server</li>
</ul>
<div class="highlight-python"><div class="highlight"><pre>&lt;script src=&quot;http://&lt;xucserver&gt;:&lt;xucport&gt;/assets/javascripts/cti.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt;
</pre></div>
</div>
<ul class="simple">
<li>Connect to the Xuc serveur using XiVO client username and password</li>
</ul>
<div class="highlight-python"><div class="highlight"><pre>var wsurl = &quot;ws://&quot;+server+&quot;/ctichannel?username=&quot;+username+&quot;&amp;amp;agentNumber=&quot;+phoneNumber+&quot;&amp;amp;password=&quot;+password;
Cti.WebSocket.init(wsurl,username,phoneNumber);
</pre></div>
</div>
<ul>
<li><dl class="first docutils">
<dt>Setup event handlers to be nofified on</dt>
<dd><ul class="first last simple">
<li>Phone state changes</li>
<li>Agent state changes</li>
<li>Statistics</li>
<li>...</li>
</ul>
</dd>
</dl>
</li>
<li><dl class="first docutils">
<dt>Once web socket communication is established you are able to call XuC Cti javascript methods.</dt>
<dd><ul class="first last simple">
<li>Place a call, log an agent ....</li>
</ul>
</dd>
</dl>
</li>
</ul>
<div class="highlight-python"><div class="highlight"><pre>...
$(&#39;#login_btn&#39;).click(function(event){
   Cti.loginAgent($(&#39;#agentPhoneNumber&#39;).val());
});
$(&#39;#logout_btn&#39;).click(function(event){
   Cti.logoutAgent();
});
$(&#39;#xuc_dial_btn&#39;).click(function(event){
   Cti.dial($(&quot;#xuc_destination&quot;).val());
});
...
</pre></div>
</div>
</div>
<div class="section" id="sample-application">
<h2>Sample Application<a class="headerlink" href="#sample-application" title="Permalink to this headline">¶</a></h2>
<p>A sample application is provided by the XuC server. This application allows to display events and using different methods exposed by the XuC</p>
<div class="highlight-python"><div class="highlight"><pre>http://&lt;sucserver&gt;:&lt;xucport&gt;/sample
</pre></div>
</div>
<div class="figure">
<a class="reference internal image-reference" href="../_images/sampleapp.png"><img alt="../_images/sampleapp.png" src="../_images/sampleapp.png" style="width: 450.0px; height: 218.7px;" /></a>
</div>
<p>You may browse and use the <tt class="docutils literal"><span class="pre">sample.js</span></tt> javascript file as an example</p>
<ul class="simple">
<li>Calling Cti methods :</li>
</ul>
<div class="highlight-python"><div class="highlight"><pre>.$(&#39;#xuc_login_btn&#39;).click(function(event) {
     Cti.loginAgent($(&#39;#xuc_agentPhoneNumber&#39;).val());
 });

 $(&#39;#xuc_logout_btn&#39;).click(function(event) {
     Cti.logoutAgent();
 });
 $(&#39;#xuc_pause_btn&#39;).click(function(event) {
     Cti.pauseAgent();
 });
 $(&#39;#xuc_unpause_btn&#39;).click(function(event) {
     Cti.unpauseAgent();
 });
 $(&#39;#xuc_subscribe_to_queue_stats_btn&#39;).click(function(event) {
     Cti.subscribeToQueueStats();
 });
 $(&#39;#xuc_answer_btn&#39;).click(function(event) {
     Cti.answer();
 });
 $(&#39;#xuc_hangup_btn&#39;).click(function(event) {
     Cti.hangup();
 });
 $(&#39;#xuc_login_btn&#39;).click(function(event) {
     Cti.loginAgent($(&#39;#xuc_agentPhoneNumber&#39;).val());
 });
 $(&#39;#xuc_logout_btn&#39;).click(function(event) {
     Cti.logoutAgent();
 });
 $(&#39;#xuc_togglelogin_btn&#39;).click(function(event) {
     Cti.toggleAgentLogin();
 });
 $(&#39;#xuc_pause_btn&#39;).click(function(event) {
     Cti.pauseAgent();
 });
 $(&#39;#xuc_unpause_btn&#39;).click(function(event) {
     Cti.unpauseAgent();
 });
 $(&#39;#xuc_subscribe_to_queue_stats_btn&#39;).click(function(event) {
     Cti.subscribeToQueueStats();
 });
 $(&#39;#xuc_answer_btn&#39;).click(function(event) {
     Cti.answer();
 });
 $(&#39;#xuc_hangup_btn&#39;).click(function(event) {
     Cti.hangup();
 });

..............
</pre></div>
</div>
<ul class="simple">
<li>Declaring events handlers :</li>
</ul>
<div class="highlight-python"><div class="highlight"><pre><span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">USERSTATUSES</span><span class="p">,</span> <span class="n">usersStatusesHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">USERSTATUSUPDATE</span><span class="p">,</span> <span class="n">userStatusHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">LOGGEDON</span><span class="p">,</span> <span class="n">loggedOnHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">PHONESTATUSUPDATE</span><span class="p">,</span> <span class="n">phoneStatusHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">LINKSTATUSUPDATE</span><span class="p">,</span> <span class="n">linkStatusHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">QUEUESTATISTICS</span><span class="p">,</span> <span class="n">queueStatisticsHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">QUEUECONFIG</span><span class="p">,</span> <span class="n">queueConfigHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">QUEUEMEMBER</span><span class="p">,</span> <span class="n">queueMemberHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">DIRECTORYRESULT</span><span class="p">,</span> <span class="n">directoryResultHandler</span><span class="p">);</span>

<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">AGENTCONFIG</span><span class="p">,</span> <span class="n">agentConfigHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">AGENTSTATEEVENT</span><span class="p">,</span> <span class="n">agentStateEventHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">AGENTERROR</span><span class="p">,</span> <span class="n">agentErrorHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">ERROR</span><span class="p">,</span> <span class="n">errorHandler</span><span class="p">);</span>
<span class="n">Cti</span><span class="o">.</span><span class="n">setHandler</span><span class="p">(</span><span class="n">Cti</span><span class="o">.</span><span class="n">MessageType</span><span class="o">.</span><span class="n">AGENTDIRECTORY</span><span class="p">,</span> <span class="n">agentDirectoryHandler</span><span class="p">);</span>
</pre></div>
</div>
</div>
<div class="section" id="messages">
<h2>Messages<a class="headerlink" href="#messages" title="Permalink to this headline">¶</a></h2>
<div class="section" id="error">
<h3>Error<a class="headerlink" href="#error" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.ERROR</li>
</ul>
</div>
<div class="section" id="loggedon">
<h3>LoggedOn<a class="headerlink" href="#loggedon" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.LOGGEDON</li>
</ul>
</div>
<div class="section" id="sheet">
<h3>Sheet<a class="headerlink" href="#sheet" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.SHEET</li>
</ul>
</div>
<div class="section" id="user-satuses">
<h3>User Satuses<a class="headerlink" href="#user-satuses" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.USERSTATUSES : &#8220;UsersStatuses&#8221;</li>
</ul>
</div>
<div class="section" id="user-status-update">
<h3>User Status Update<a class="headerlink" href="#user-status-update" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.USERSTATUSUPDATE : &#8220;UserStatusUpdate&#8221;,</li>
</ul>
</div>
<div class="section" id="directory-result">
<h3>Directory Result<a class="headerlink" href="#directory-result" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.DIRECTORYRESULT</li>
</ul>
</div>
<div class="section" id="phone-status-update">
<h3>Phone Status Update<a class="headerlink" href="#phone-status-update" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.PHONESTATUSUPDATE</li>
</ul>
</div>
<div class="section" id="link-status-update">
<h3>Link Status Update<a class="headerlink" href="#link-status-update" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.LINKSTATUSUPDATE</li>
</ul>
</div>
<div class="section" id="queue-statistics">
<h3>Queue Statistics<a class="headerlink" href="#queue-statistics" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.QUEUESTATISTICS</li>
</ul>
</div>
<div class="section" id="queue-member">
<h3>Queue Member<a class="headerlink" href="#queue-member" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Handler on : Cti.MessageType.QUEUEMEMBER</li>
</ul>
<p>Received when an agent is associated to a queue or a penalty is updated. Penalty is -1 when agent is removed from a queue</p>
<div class="highlight-python"><div class="highlight"><pre><span class="p">{</span><span class="s">&quot;agentId&quot;</span><span class="p">:</span><span class="mi">19</span><span class="p">,</span><span class="s">&quot;queueId&quot;</span><span class="p">:</span><span class="mi">3</span><span class="p">,</span><span class="s">&quot;penalty&quot;</span><span class="p">:</span><span class="mi">12</span><span class="p">}</span>
</pre></div>
</div>
</div>
<div class="section" id="queue-member-list">
<h3>Queue Member List<a class="headerlink" href="#queue-member-list" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Handler on : Cti.MessageType.QUEUEMEMBERLIST</li>
</ul>
</div>
<div class="section" id="get-queue-statistics">
<h3>Get Queue Statistics<a class="headerlink" href="#get-queue-statistics" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.GETQUEUESTATISTICS</li>
</ul>
</div>
<div class="section" id="agent-state-event">
<h3>Agent State Event<a class="headerlink" href="#agent-state-event" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.AGENTSTATEEVENT</li>
</ul>
</div>
<div class="section" id="agent-error">
<h3>Agent Error<a class="headerlink" href="#agent-error" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.AGENTERROR</li>
</ul>
</div>
<div class="section" id="agent-directory">
<h3>Agent Directory<a class="headerlink" href="#agent-directory" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.AGENTDIRECTORY</li>
</ul>
</div>
<div class="section" id="agent-configuration">
<h3>Agent Configuration<a class="headerlink" href="#agent-configuration" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.AGENTCONFIG</li>
<li>{&#8220;id&#8221;:23,&#8221;firstName&#8221;:&#8221;Jack&#8221;,&#8221;lastName&#8221;:&#8221;Flash&#8221;,&#8221;number&#8221;:&#8221;2501&#8221;,&#8221;context&#8221;:&#8221;default&#8221;}</li>
</ul>
</div>
<div class="section" id="agent-list">
<h3>Agent List<a class="headerlink" href="#agent-list" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.AGENTLIST</li>
</ul>
<p>Receives agent configuration in a javascript Array</p>
</div>
<div class="section" id="queue-configuration">
<h3>Queue Configuration<a class="headerlink" href="#queue-configuration" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.QUEUECONFIG</li>
<li>{&#8220;id&#8221;:8,&#8221;context&#8221;:&#8221;default&#8221;,&#8221;name&#8221;:&#8221;blue&#8221;,&#8221;displayName&#8221;:&#8221;blue sky&#8221;,&#8221;number&#8221;:&#8221;3506&#8221;}</li>
</ul>
</div>
<div class="section" id="queue-list">
<h3>Queue List<a class="headerlink" href="#queue-list" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Cti.MessageType.QUEUELIST</li>
</ul>
</div>
</div>
<div class="section" id="methods">
<h2>Methods<a class="headerlink" href="#methods" title="Permalink to this headline">¶</a></h2>
<div class="section" id="cti-getlist-objecttype">
<h3>Cti.getList(objectType)<a class="headerlink" href="#cti-getlist-objecttype" title="Permalink to this headline">¶</a></h3>
<p>Request a list of configucation objects, objectType can be :</p>
<ul class="simple">
<li>queue</li>
<li>agent</li>
<li>queuemember</li>
</ul>
<p>Triggers handlers QUEUELIST, AGENTLIST, QUEUEMEMBERLIST.
Subscribes to configuration modification changes, handlers QUEUECONFIG, AGENTCONFIG, QUEUEMEMBER can also be called</p>
</div>
<div class="section" id="cti-setagentqueue-agentid-queueid-penalty">
<h3>Cti.setAgentQueue(agentId, queueId, penalty)<a class="headerlink" href="#cti-setagentqueue-agentid-queueid-penalty" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>agentId (Integer) : id of agent, returned in message <a class="reference internal" href="#agent-configuration">Agent Configuration</a></li>
<li>queueId (Integer) : id of queue, returned in message <a class="reference internal" href="#queue-configuration">Queue Configuration</a></li>
<li>penaly (Integer) : positive integer</li>
</ul>
<p>If agent is not associated to the queue, associates it, otherwise changes the penalty</p>
<p>On success triggers a <a class="reference internal" href="#queue-member">Queue Member</a> event, does not send anything in case of failure :</p>
<div class="highlight-python"><div class="highlight"><pre>{&quot;agentId&quot;:&lt;agentId&gt;,&quot;queueId&quot;:&lt;queueId&gt;,&quot;penalty&quot;:&lt;penalty&gt;}
</pre></div>
</div>
</div>
<div class="section" id="cti-removeagentfromqueue-agentid-queueid">
<h3>Cti.removeAgentFromQueue(agentId, queueId)<a class="headerlink" href="#cti-removeagentfromqueue-agentid-queueid" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>agentId (Integer) : id of agent, returned in message <a class="reference internal" href="#agent-configuration">Agent Configuration</a></li>
<li>queueId (Integer) : id of queue, returned in message <a class="reference internal" href="#queue-configuration">Queue Configuration</a></li>
</ul>
<p>On success triggers a queue member event with penalty equals to -1, does not send anything in case of failure :</p>
<div class="highlight-python"><div class="highlight"><pre>{&quot;agentId&quot;:&lt;agentId&gt;,&quot;queueId&quot;:&lt;queueId&gt;,&quot;penalty&quot;:-1}
</pre></div>
</div>
</div>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Javascript API</a><ul>
<li><a class="reference internal" href="#introduction">Introduction</a></li>
<li><a class="reference internal" href="#integration-principles">Integration Principles</a></li>
<li><a class="reference internal" href="#sample-application">Sample Application</a></li>
<li><a class="reference internal" href="#messages">Messages</a><ul>
<li><a class="reference internal" href="#error">Error</a></li>
<li><a class="reference internal" href="#loggedon">LoggedOn</a></li>
<li><a class="reference internal" href="#sheet">Sheet</a></li>
<li><a class="reference internal" href="#user-satuses">User Satuses</a></li>
<li><a class="reference internal" href="#user-status-update">User Status Update</a></li>
<li><a class="reference internal" href="#directory-result">Directory Result</a></li>
<li><a class="reference internal" href="#phone-status-update">Phone Status Update</a></li>
<li><a class="reference internal" href="#link-status-update">Link Status Update</a></li>
<li><a class="reference internal" href="#queue-statistics">Queue Statistics</a></li>
<li><a class="reference internal" href="#queue-member">Queue Member</a></li>
<li><a class="reference internal" href="#queue-member-list">Queue Member List</a></li>
<li><a class="reference internal" href="#get-queue-statistics">Get Queue Statistics</a></li>
<li><a class="reference internal" href="#agent-state-event">Agent State Event</a></li>
<li><a class="reference internal" href="#agent-error">Agent Error</a></li>
<li><a class="reference internal" href="#agent-directory">Agent Directory</a></li>
<li><a class="reference internal" href="#agent-configuration">Agent Configuration</a></li>
<li><a class="reference internal" href="#agent-list">Agent List</a></li>
<li><a class="reference internal" href="#queue-configuration">Queue Configuration</a></li>
<li><a class="reference internal" href="#queue-list">Queue List</a></li>
</ul>
</li>
<li><a class="reference internal" href="#methods">Methods</a><ul>
<li><a class="reference internal" href="#cti-getlist-objecttype">Cti.getList(objectType)</a></li>
<li><a class="reference internal" href="#cti-setagentqueue-agentid-queueid-penalty">Cti.setAgentQueue(agentId, queueId, penalty)</a></li>
<li><a class="reference internal" href="#cti-removeagentfromqueue-agentid-queueid">Cti.removeAgentFromQueue(agentId, queueId)</a></li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="../developers/developers.html"
                        title="previous chapter">Developer</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="rest.html"
                        title="next chapter">Rest API</a></p>
  <h3>This Page</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/api/javascriptapi.txt"
           rel="nofollow">Show Source</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="rest.html" title="Rest API"
             >next</a> |</li>
        <li class="right" >
          <a href="../developers/developers.html" title="Developer"
             >previous</a> |</li>
        <li><a href="../index.html">Xuc 2.0.7 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2013-2014, Avencall.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2.
    </div>
  </body>
</html>